PETSc version 3.15.5
Fix/Edit manual page

# PetscBagRegisterScalar

add a real or complex number value to the bag

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterScalar(PetscBag bag,void *addr,PetscScalar mdefault,const char *name,const char *help)

Logically Collective on PetscBag

### Input Parameter

| bag | - the bag of values
| addr | - location of scalar in struct
| mdefault | - the initial value
| name | - name of the variable
| help | - longer string with more information about the value

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagRegisterEnum()

### Level

beginner

### Location

src/sys/classes/bag/bag.c

### Examples

src/sys/tutorials/ex5.c.html
src/sys/tutorials/ex5f90.F90.html
src/snes/tutorials/ex62.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages